> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> Fetch the list of users, optionally filtered by name or realm.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-api-docs.json get /users
openapi: 3.0.1
info:
  title: Fusion Proxy API
  description: Manage Fusion users, roles, realms, access tokens, and API keys.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Realm management
    description: >-
      Endpoints for creating, configuring, and managing authentication realms
      such as LDAP, SAML, OIDC, and others.
  - name: User management
    description: >-
      Endpoints for creating, updating, deleting, and retrieving Fusion users
      and their associated metadata.
  - name: Suggestions
    description: >-
      Endpoints that provide query suggestions or autocomplete results to
      improve search experiences.
  - name: API key management
    description: >-
      Endpoints for managing API keys used to authenticate Fusion services and
      integrations.
  - name: OAuth 2.0
    description: >-
      Endpoints that support OAuth 2.0 authentication, including token issuance
      and validation.
  - name: Role management
    description: >-
      Endpoints for creating and managing user roles and their associated
      permissions within Fusion.
  - name: System status
    description: >-
      Endpoints for retrieving basic system health, configuration, and
      authentication status.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /users:
    get:
      tags:
        - User management
      summary: List users
      description: Fetch the list of users, optionally filtered by name or realm.
      operationId: getUsers
      parameters:
        - name: username
          description: >-
            Optional username to filter by. If not specified, then all users are
            returned.
          in: query
          required: false
          schema:
            type: string
        - name: realm
          description: >-
            Optional realm name to filter by. If not specified, then all users
            from all realms are returned.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/User_PublicView'
              example:
                - id: e17170e6-9141-4bb2-be87-22d3fa8b6f64
                  name: lw-ai
                  createdAt: '2024-09-25T14:39:25Z'
                  updatedAt: '2025-08-07T23:17:32Z'
                  permissions:
                    - methods:
                        - PUT
                        - POST
                        - GET
                        - HEAD
                      path: /lw-docs/**
                    - methods:
                        - POST
                      path: /lw-docs
                  uiPermissions: []
                - id: 0a61a9e1-6004-4c1b-bdf6-3f2f2ded1438
                  name: admin
                  createdAt: '2023-10-05T20:09:50Z'
                  desc: Full access to every service. This is the super-admin role.
                  permissions:
                    - methods:
                        - PUT
                        - POST
                        - GET
                        - DELETE
                        - PATCH
                        - HEAD
                      path: /**
                    - methods:
                        - PUT
                        - POST
                        - GET
                        - DELETE
                        - HEAD
                      path: /solrAdmin/**
                  uiPermissions:
                    - '*'
components:
  schemas:
    User_PublicView:
      type: object
      properties:
        id:
          type: string
          example: fe0885f2-8885-4c46-a3ea-8e5d0041c293
        username:
          type: string
          example: admin
        realmName:
          type: string
          example: ldap-internal
        createdAt:
          type: string
          format: date-time
          example: '2025-09-23T17:48:07Z'
        updatedAt:
          type: string
          format: date-time
          example: '2025-10-31T12:28:04Z'
        roleNames:
          type: array
          items:
            type: string
          description: Indicates which roles are dynamically applied to users in the realm.
          example:
            - search
            - developer
        timezone:
          type: string
          example: Pacific Time (US & Canada)
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/GlobPermission_PublicView'
    GlobPermission_PublicView:
      type: object
      properties:
        methods:
          uniqueItems: true
          type: array
          items:
            type: string
            enum:
              - GET
              - POST
              - PUT
              - DELETE
              - HEAD
              - PATCH
              - OPTIONS
        path:
          type: string
          example: /
        params:
          type: object
          additionalProperties:
            type: array
            items:
              type: string

````